List snapshots for a cloud region
To see cloud snapshots within a cloud region, use a GET request to /v1/cloud_computing/regions/{region_id}/snapshots. A cloud region ID is a required path parameter. The list includes snapshots and backups. You can identify backups using the is_backup parameter. A snapshot is a manual copy; a backup is a copy made by automation.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
region_id | stringA unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section. |
Query Parameters
| Field | Details |
|---|---|
instance_id? | stringA unique identifier of a cloud instance. |
is_backup? | booleanThe |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. It's 1 by default. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/cloud_computing/regions/0/snapshots"[ { "id": "d519d5cf-d8fc-4c50-91ca-b2c14f9d37bf", "name": "name1325", "image_size": 366592, "min_disk": 0, "status": "active", "is_backup": false, "file_url": "http://example.com/260/images/d519d5cf-d8fc-4c50-91ca-b2c14f9d37bf/file" }, { "id": "54c38db0-ef34-4622-b008-e8cd7fbeae0c", "name": "name1326", "image_size": 367616, "min_disk": 0, "status": "active", "is_backup": false, "file_url": "http://example.com/260/images/54c38db0-ef34-4622-b008-e8cd7fbeae0c/file" }]